Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Wed, 06 Jul 2022 14:47:35 +0000

>
> IME, other text editors doesn't choke on files with long lines, nor 
> require you to disable any features.  The full and complete solution 
> will make sure Emacs doesn't either.
>

That's wrong, sorry.  Try opening hugedictionary.json in these editors and 
you'll see the effect.  Try opening dictionary.json in VS Code, and you'll 
see a warning: "For performance reasons, document symbols have been 
limited to 5000 items."  I don't know what that exactly means (I don't use 
VS Code), but clearly some limitation has been set automatically for 
performance reasons.  Moreover highlighting is completely (and silently) 
turned off on that file by VS Code.  All this is a very reasonable thing 
to do.